Loading...
Searching...
No Matches
Features

## Description

This group of functions provides the ability to set features available to bladeRF devices.

## Enumerations

enum | bladerf_feature { BLADERF_FEATURE_DEFAULT = 0 , BLADERF_FEATURE_OVERSAMPLE }

## Functions

API_EXPORT int CALL_CONV | bladerf_enable_feature (struct bladerf *dev, bladerf_feature feature, bool enable)
API_EXPORT int CALL_CONV | bladerf_get_feature (struct bladerf *dev, bladerf_feature *feature)

## Enumeration Type Documentation

## bladerf_feature

enum bladerf_feature

Feature Set

Enumerator
BLADERF_FEATURE_DEFAULT | No feature enabled
BLADERF_FEATURE_OVERSAMPLE | Enforces AD9361 OC and 8bit mode

Definition at line 4175 of file libbladeRF.h.

## Function Documentation

## bladerf_enable_feature()

API_EXPORT int CALL_CONV bladerf_enable_feature | ( | struct bladerf * | dev,
|  | bladerf_feature | feature,
|  | bool | enable )

Enables a feature.

Parameters

  | dev | Device handle
  [out] | feature | Feature
  [in] | enable | true to enable, false to disable

Returns
  0 on success, value from Error codes list on failure

## bladerf_get_feature()

API_EXPORT int CALL_CONV bladerf_get_feature | ( | struct bladerf * | dev,
|  | bladerf_feature * | feature )

Gets currently enabled feature.

Parameters

  | dev | Device handle
  [out] | feature | Feature

Returns
  0 on success, value from Error codes list on failure